Name: coan
Version: 4.1
Release: 2%{?dist}
Summary: A command line tool for simplifying the preprocessor conditionals in source code
Group: Development/Languages
License: BSD       
URL: http://coan2.sourceforge.net/
Source0: http://downloads.sourceforge.net/%{name}2/v%{version}/%{name}-%{version}.tar.gz
BuildRoot: %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Although coan is an evolution of sunifdef, we don't mark the coan RPM to
# obsolete the sunifdef RPM, because the commands/options are different.

# Beware: the '#' may never be the first non-blank character on a line,
# it would be interpreted as a comment.
%description
Coan is a software engineering tool for analyzing preprocessor-based
configurations of C or C++ source code.  Its principle use is to
simplify a body of source code by eliminating any parts that are
redundant with respect to a specified configuration.  It is a more
powerful successor to the FreeBSD 'unifdef' tool and the 'sunifdef'
tool.

Coan is most useful to developers of constantly evolving products
with large code bases, where preprocessor conditionals and #if-directives
are used to differentiate progressive releases or parallel variants of
the product.  In these settings the upkeep of the product's configuration
tree can become difficult and the incidence of configuration-related
defects can become costly.  Coan can largely automate the maintenance of
preprocessor-based configurations and the investigation of configuration-
related questions.

%prep
%setup -q

find \( -name '*.c' -o -name '*.h' \) -exec chmod -x {} \;

%build
%configure
make %{?_smp_mflags}

%check
make check

%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(-,root,root,-)
%doc AUTHORS LICENSE.BSD README ChangeLog
%{_bindir}/coan
%{_mandir}/man1/coan.1.gz

%changelog
* Mon May 31 2010 Eric Smith <eric@brouhaha.com> 4.1-2
- Update to revised upstream 4.1 with extraneous and incorrect license
  inormation removed.  Note that upstream version number was NOT changed.
- Correct spelling errors in summary and description

* Tue Apr 06 2010 Eric Smith <eric@brouhaha.com> 4.1-1
- Update to upstream 4.1

* Sat Feb 13 2010 Eric Smith <eric@brouhaha.com> 4.0-1
- Initial version based on spec of sunifdef-3.1.3-4
